[Linux] Vivaldi stürtzt seit neustem mit ScriptSafe ab



  • Hallo, erstmal was zu meiner Konfiguration. Benutze Vivaldi auf Debian Stable 64 Bit mit Backport Repositories auf Kernel 4.5 mit KDE Oberfläche. Habe folgende PlugIns aus dem Chrome Store installiert: AdBlock, Disconnect, Ghostery und ScriptSafe. Seit gestern habe ich das Problem, dass Vivaldi abstürtzt, sobald ich bei ScriptSafe bei einer Domain auf "Trust" klicken möchte. Habe mal die komplette Installtion gepurged und auch die Konfigdateien sowie PlugIns alle weg geworfen und neu installiert. Das Problem bleibt aber weiterhin bestehen. Hat jemand vielleicht einen heißen Tipp, wie ich dem Fehler auf die Schliche kommen könnte? Viele Grüße tex


  • Moderator

    Das ist in der 1.1 Final ein seit April bekannter ungefixter Bug mit der Extension. .
    Keine Lösung derzeit, außer Scriptsafe deinstallieren (ja, dummer Tip) :(

    Nach Crash, Notfallabhilfe:
    1. ~/.config/vivaldi sichern
    2. ~/.config/vivaldi/Default/Extensions/ löschen (Verlust aller Extensions!)
    3. Vivaldi startet wieder



  • Alles klar, danke für die Info.
    Hatte dazu nichts gefunden im Internet, dann bleibt ScriptSafe erstmal installiert, aber deaktiviert.
    Mal schauen, was die nächste Version mit sich bringt. :)



  • @Gwen-Dragon:

    Das ist in der 1.1 Final ein seit April bekannter ungefixter Bug mit der Extension. .
    Keine Lösung derzeit, außer Scriptsafe deinstallieren (ja, dummer Tip) :(

    Nach Crash, Notfallabhilfe:
    1. ~/.config/vivaldi sichern
    2. ~/.config/vivaldi/Default/Extensions/ löschen (Verlust aller Extensions!)
    3. Vivaldi startet wieder

    Also, bisher hate ich noch nie das Problem, dass Vivaldi wegen ScriptSafe (oder sonstwas) abstürzt. Liegt vielleicht auch daran, dass ich die Snapshot-Version nutze und da schneller Bugfixes einfließen.
    Bei mir ist es aktuell nur so, dass ich das Popup mit der Möglichkeit Einstellungen zu ändern bei neuen Seiten nicht mehr erscheint und ich auch in den Options keine neuen URLs zur Whitelist hinzufügen kann.

    Zum eigentlichen Thema. Wenn wirklich ScriptSafe den Absturz auslöst, dann sollte es auch ausreichen nur diese Erweiterung zu löschen anstatt alle:
    rm -rf ~/.config/vivaldi-snapshot/Default/Extensions/oiigbmnaadbkfbmpbfijlflahbdbdgdf

    Der letzte Teil im Pfad ist die ID der Extension, die man unter "Werkzeuge > Erweiterungen" bei jeder Erweiterung findet.


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.